Bug 909676 - RFE: add few fields to nova list output
RFE: add few fields to nova list output
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novaclient (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: Upstream M3
: 6.0 (Juno)
Assigned To: Jakub Ruzicka
Omri Hochman
: FutureFeature, Improvement, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-10 06:21 EST by Ofer Blaut
Modified: 2016-04-26 11:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-05 14:16:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
HostName (1.29 KB, text/plain)
2013-02-10 06:21 EST, Ofer Blaut
no flags Details

  None (edit)
Description Ofer Blaut 2013-02-10 06:21:41 EST
Created attachment 695713 [details]
HostName

Description of problem:

Nova list provide ability to filter Instance list by host/flavor/image.

however the command does NOT print these fields 

I think it will be easier to manage Instances if we have output of the fields above 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-02-11 01:17:53 EST
The need is in python-novaclient
Comment 6 Ofer Blaut 2014-06-08 06:25:03 EDT
Exist python-novaclient-2.17.0-2.el7ost.noarch

root@puma04 ~(keystone_admin)]# nova help list
usage: nova list [--reservation-id <reservation-id>] [--ip <ip-regexp>]
                 [--ip6 <ip6-regexp>] [--name <name-regexp>]
                 [--instance-name <name-regexp>] [--status <status>]
                 [--flavor <flavor>] [--image <image>] [--host <hostname>]
                 [--all-tenants [<0|1>]] [--tenant [<tenant>]] [--deleted]
                 [--fields <fields>] [--minimal]

List active servers.

Optional arguments:
  --reservation-id <reservation-id>
                        Only return servers that match reservation-id.
  --ip <ip-regexp>      Search with regular expression match by IP address
                        (Admin only).
  --ip6 <ip6-regexp>    Search with regular expression match by IPv6 address
                        (Admin only).
  --name <name-regexp>  Search with regular expression match by name
  --instance-name <name-regexp>
                        Search with regular expression match by server name
                        (Admin only).
  --status <status>     Search by server status
  --flavor <flavor>     Search by flavor name or ID
  --image <image>       Search by image name or ID
  --host <hostname>     Search servers by hostname to which they are assigned
                        (Admin only).
  --all-tenants [<0|1>]
                        Display information from all tenants (Admin only).
  --tenant [<tenant>]   Display information from single tenant (Admin only).
  --deleted             Only display deleted servers (Admin only).
  --fields <fields>     Comma-separated list of fields to display. Use the
                        show command to see which fields are available.

Note You need to log in before you can comment on or make changes to this bug.